commit:     6681ef344f9d9fc45385f69b96686ba1501e3d52
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 11 16:42:51 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Apr 11 17:25:39 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6681ef34

dev-python/diskcache: Bump to 5.5.1

Closes: https://bugs.gentoo.org/865481
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/diskcache/Manifest               |  1 +
 dev-python/diskcache/diskcache-5.5.1.ebuild | 42 +++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/diskcache/Manifest b/dev-python/diskcache/Manifest
index e99e06322d3d..522935baeac6 100644
--- a/dev-python/diskcache/Manifest
+++ b/dev-python/diskcache/Manifest
@@ -1 +1,2 @@
 DIST diskcache-5.4.0.gh.tar.gz 653968 BLAKE2B 
765f0d8d9c4b3a8bf9e4c52b3b931867dc0b92aa7b891d6d64cbfe9e7ff491662a1fa2f0af776f9b3dcc4b441f50b68dc009a29e9b0d37f99add9033f4fb94d8
 SHA512 
cc15ff0b06b2a5708692f50e185699bd53e60408cef25053bcb5aaffec2795dd53c3bfe4b131a47f68c43388927ecc034c43233c38494cb2f6e40636344270fc
+DIST diskcache-5.5.1.gh.tar.gz 654928 BLAKE2B 
ba042de4d02b8d1556b56efbcbb5b5f0de861e61f7dff33c5b65c6c7bbd362e72a18293bfcd146faf4a83f6ac31443bae5cf4de80910a9cd49f63149ab93b5f4
 SHA512 
f9cfa8bcabc36bcc0d36c8c6912756abb7eb2f40b8cfb2b49302a2bf7287e52a16885768aafb74a0517777d460ed03a16c8af2465b4c7ae56175a6a7462b5fcd

diff --git a/dev-python/diskcache/diskcache-5.5.1.ebuild 
b/dev-python/diskcache/diskcache-5.5.1.ebuild
new file mode 100644
index 000000000000..cb99ca88f78c
--- /dev/null
+++ b/dev-python/diskcache/diskcache-5.5.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+HOMEPAGE="
+       https://grantjenks.com/docs/diskcache/
+       https://github.com/grantjenks/python-diskcache/
+       https://pypi.org/project/diskcache/
+"
+DESCRIPTION="Disk and file backed cache"
+SRC_URI="
+       https://github.com/grantjenks/python-diskcache/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+S=${WORKDIR}/python-diskcache-${PV}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+       test? (
+               >=dev-python/django-3.2[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+src_prepare() {
+       # remove dep on pytest-xdist and pytest-cov
+       sed -i -e '/-n auto/d' -e '/--cov/d' tox.ini || die
+
+       distutils-r1_src_prepare
+}

Reply via email to